Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextStoredFieldsReader

    java.lang.Object
      org.apache.lucene.codecs.StoredFieldsReader
          org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsReader

All Implemented Interfaces:
  Closeable, Cloneable

    public class SimpleTextStoredFieldsReader

extends StoredFieldsReader

reads plaintext stored fields

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextStoredFieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`

Method Summary
`StoredFieldsReader` | `clone()`
`void` | `close()`
`void` | `visitDocument(int n, StoredFieldVisitor visitor)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextStoredFieldsReader

    public SimpleTextStoredFieldsReader(Directory directory,
                                        SegmentInfo si,
                                        FieldInfos fn,
                                        IOContext context)
                                 throws IOException

Throws:
  `IOException`

Method Detail

### visitDocument

    public void visitDocument(int n,
                              StoredFieldVisitor visitor)
                       throws IOException

  Specified by:
    `visitDocument` in class `StoredFieldsReader`
  Throws:
    `IOException`

### clone

    public StoredFieldsReader clone()

  Overrides:
    `clone` in class `StoredFieldsReader`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.